PLOT_FORMATS = {
    "ieee": {
        "figsize": (6, 4),
        "dpi": 300,
        "font_size": 12,
        "legend_font_size": 10,
        "xlabel_font_size": 12,
        "ylabel_font_size": 12,
        "title_font_size": 14,
        "linewidth": 1.5,
        "marker_size": 6,
        "xtick_font_size": 10,
        "heatmap_cmap": "viridis",
        "confusion_matrix_cmap": "Blues",
        "accuracy_loss_linewidth": 1.5,
        "title_font_weight": "bold",
        "label_font_weight": "normal",
        "legend_loc": "best",
    },
    "nature": {
        "figsize": (4.5, 4.5),
        "dpi": 600,
        "font_size": 10,
        "legend_font_size": 8,
        "xlabel_font_size": 10,
        "ylabel_font_size": 10,
        "title_font_size": 12,
        "linewidth": 1,
        "marker_size": 4,
        "xtick_font_size": 8,
        "heatmap_cmap": "inferno",
        "confusion_matrix_cmap": "Oranges",
        "accuracy_loss_linewidth": 1,
        "title_font_weight": "bold",
        "label_font_weight": "normal",
        "legend_loc": "upper left",
    },
    "elsevier": {
        "figsize": (8.5, 6),
        "dpi": 300,
        "font_size": 11,
        "legend_font_size": 9,
        "xlabel_font_size": 11,
        "ylabel_font_size": 11,
        "title_font_size": 13,
        "linewidth": 1.2,
        "marker_size": 5,
        "xtick_font_size": 9,
        "heatmap_cmap": "plasma",
        "confusion_matrix_cmap": "Greens",
        "accuracy_loss_linewidth": 1.2,
        "title_font_weight": "bold",
        "label_font_weight": "normal",
        "legend_loc": "upper right",
    },
    "springer": {
        "figsize": (7, 5),
        "dpi": 300,
        "font_size": 10,
        "legend_font_size": 9,
        "xlabel_font_size": 10,
        "ylabel_font_size": 10,
        "title_font_size": 12,
        "linewidth": 1.2,
        "marker_size": 5,
        "xtick_font_size": 9,
        "heatmap_cmap": "magma",
        "confusion_matrix_cmap": "Purples",
        "accuracy_loss_linewidth": 1.2,
        "title_font_weight": "bold",
        "label_font_weight": "normal",
        "legend_loc": "lower left",
    },
    "science": {
        "figsize": (7, 5),
        "dpi": 300,
        "font_size": 12,
        "legend_font_size": 10,
        "xlabel_font_size": 12,
        "ylabel_font_size": 12,
        "title_font_size": 14,
        "linewidth": 1.5,
        "marker_size": 6,
        "xtick_font_size": 10,
        "heatmap_cmap": "cividis",
        "confusion_matrix_cmap": "Reds",
        "accuracy_loss_linewidth": 1.5,
        "title_font_weight": "bold",
        "label_font_weight": "normal",
        "legend_loc": "center",
    },
    "cell": {
        "figsize": (6, 4.5),
        "dpi": 600,
        "font_size": 10,
        "legend_font_size": 8,
        "xlabel_font_size": 10,
        "ylabel_font_size": 10,
        "title_font_size": 12,
        "linewidth": 1,
        "marker_size": 4,
        "xtick_font_size": 8,
        "heatmap_cmap": "viridis",
        "confusion_matrix_cmap": "Blues",
        "accuracy_loss_linewidth": 1,
        "title_font_weight": "bold",
        "label_font_weight": "normal",
        "legend_loc": "upper center",
    },
    "pnas": {
        "figsize": (7, 5),
        "dpi": 300,
        "font_size": 11,
        "legend_font_size": 9,
        "xlabel_font_size": 11,
        "ylabel_font_size": 11,
        "title_font_size": 13,
        "linewidth": 1.2,
        "marker_size": 5,
        "xtick_font_size": 9,
        "heatmap_cmap": "Spectral",
        "confusion_matrix_cmap": "Greys",
        "accuracy_loss_linewidth": 1.2,
        "title_font_weight": "bold",
        "label_font_weight": "normal",
        "legend_loc": "best",
    },
    "default": {
        "figsize": (6, 4),
        "dpi": 300,
        "font_size": 12,
        "legend_font_size": 10,
        "xlabel_font_size": 12,
        "ylabel_font_size": 12,
        "title_font_size": 14,
        "linewidth": 1.5,
        "marker_size": 6,
        "xtick_font_size": 10,
        "heatmap_cmap": "viridis",
        "confusion_matrix_cmap": "Blues",
        "accuracy_loss_linewidth": 1.5,
        "title_font_weight": "bold",
        "label_font_weight": "normal",
        "legend_loc": "best",
    },
}